Subtasks do not always appear below the parent task in Gantt chart -> a job for a custom filter?
Description

I'm using trunk as of today r3840. | think that the subtasks "#13" and "#14" should be shown below their parent "#9". (see attached
screenshot)

I think William Wedin already mentioned this in his comment to the news about subtasking http:/www.redmine.org/news/36 but |
didn't find a ticket about it.

This seems to be related to #5194, but my tasks/subtasks do not seem to be ordered by issue id but by due date.

| suggest adding a filter that sorts the Gantt chart by Task/Subtask.

Related issues:

Related to Redmine - Patch #5438: Patch repairing rendering of subtasks in ga... Closed 2010-05-04 2010-05-04
Related to Redmine - Patch #7456: Gantt filters New 2011-01-26
History

#1 - 2010-07-19 16:57 - wenzhi zhang

I'm also encountering this problem. | think it's quite necessary to favor the parent/child relation between issues when viewing gantt chart

#2 - 2010-07-19 22:59 - Mischa The Evil

- Category changed from Time tracking to Issues

#3 - 2010-07-27 06:08 - Amil Waduwawara

Some more requests to make this fantastic tool better...

e show parent/child issues in Issue view properly (sort child entries inside respective parents only or have a sort option that issues are shown with
correct parent-child relationship)
o http:/.../projects/&lt;project-id&gt;/issues
o http://.../issues

This is extracted from my comment on Redmine Wiki as Eric Davis suggested after correcting some mistakes.

#4 - 2010-08-12 06:45 - Jeffrey Jones

I think it is critical to be able to easily associate sub-tasks to parent tasks on the issue index page via something like indentation and grouping. An
option to allow this would be very welcome

#5 - 2010-08-12 06:50 - Jeffrey Jones

In fact, | think the requests surrounding the issues list should be separated out from this issue which is originally raised against the gantt chart.

#6 - 2010-10-03 15:03 - Mischa The Evil

- Category changed from Issues to Gantt

#7 - 2012-01-27 08:55 - Daniel Albuschat

+1

This is nearly a show-stopper to me, because subtasking is one of the most important features why i decided to use redmine.

However, it is possible to sort by parent task id. If you do this, the subtask relationships are shown correctly and indented.

This leaves you with two possible other sorting criteria (since you have a total of 3, only) left for other sorting purposes, which is often not enough for
me.
https://www.redmine.org/projects/redmine/repository/svn/revisions/3840
http://www.redmine.org/news/36
https://www.redmine.org/issues/5194
http://.../projects/&lt;project-id&gt;/issues
http://.../issues
http://www.redmine.org/news/42

#8 - 2012-10-23 14:11 - Toshi MARUYAMA

- Status changed from New to Closed

Gantt was refactored in #6276.
So, this issue is obsolete.
